summaryrefslogtreecommitdiffstats
path: root/desktop/arc-theme
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2016-07-25 04:42:55 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-25 04:42:55 +0700
commitdf1446d90c40c3c878fab1c285eb681743e6b3f0 (patch)
treeecad4e0add236eddee7e8ef2a63fa9b886a0d86f /desktop/arc-theme
parent2d3757155f464032e3b4a1b5b2544837aa2e0a4a (diff)
downloadslackbuilds-df1446d90c40c3c878fab1c285eb681743e6b3f0.tar.gz
slackbuilds-df1446d90c40c3c878fab1c285eb681743e6b3f0.tar.xz
desktop/arc-theme: Added (Flat Theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/arc-theme')
-rw-r--r--desktop/arc-theme/README3
-rw-r--r--desktop/arc-theme/arc-theme.SlackBuild99
-rw-r--r--desktop/arc-theme/arc-theme.info10
-rw-r--r--desktop/arc-theme/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/desktop/arc-theme/README b/desktop/arc-theme/README
new file mode 100644
index 0000000000..a9fc04447a
--- /dev/null
+++ b/desktop/arc-theme/README
@@ -0,0 +1,3 @@
+Arc is a flat theme with transparent elements for GTK 3, GTK 2 and
+Gnome-Shell which supports GTK 3 and GTK 2 based desktop
+environments like Gnome, Unity, Budgie, Pantheon, XFCE, Mate, etc.
diff --git a/desktop/arc-theme/arc-theme.SlackBuild b/desktop/arc-theme/arc-theme.SlackBuild
new file mode 100644
index 0000000000..8e86cd6152
--- /dev/null
+++ b/desktop/arc-theme/arc-theme.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+#
+# Slackware build script for "arc-theme".
+
+# Copyright 2016 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=arc-theme
+VERSION=${VERSION:-20160605}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sh autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING HACKING.md README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/arc-theme/arc-theme.info b/desktop/arc-theme/arc-theme.info
new file mode 100644
index 0000000000..1b43b5ce65
--- /dev/null
+++ b/desktop/arc-theme/arc-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="arc-theme"
+VERSION="20160605"
+HOMEPAGE="https://github.com/horst3180/arc-theme/"
+DOWNLOAD="https://github.com/horst3180/arc-theme/archive/20160605.tar.gz"
+MD5SUM="6d5396b42814bf5e9f644b68cc47f9c5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/desktop/arc-theme/slack-desc b/desktop/arc-theme/slack-desc
new file mode 100644
index 0000000000..a4387212a0
--- /dev/null
+++ b/desktop/arc-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+arc-theme: arc-theme (a flat theme with transparent elements)
+arc-theme:
+arc-theme: Arc is a flat theme with transparent elements for GTK 3, GTK 2 and
+arc-theme: Gnome-Shell which supports GTK 3 and GTK 2 based desktop
+arc-theme: environments like Gnome, Unity, Budgie, Pantheon, XFCE, Mate, etc.
+arc-theme:
+arc-theme: Homepage: https://github.com/horst3180/arc-theme/
+arc-theme:
+arc-theme:
+arc-theme:
+arc-theme: